OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

BaseGraphics Class Reference

All data/functions related with replacing the base graphics. More...

`#include <base_media_base.h>`

Inheritance diagram for BaseGraphics:

## Additional Inherited Members
Static Public Member Functions inherited from BaseMedia< GraphicsSet >
static bool | DetermineBestSet ()
| Determine the graphics pack that has to be used.
static uint | FindSets ()
| Do the scan for files.
static GraphicsSet * | GetAvailableSets ()
static bool | SetSet (const char *name)
static char * | GetSetsList (char *p, const char *last)
static int | GetNumSets ()
static int | GetIndexOfUsedSet ()
static const GraphicsSet * | GetSet (int index)
static const GraphicsSet * | GetUsedSet ()
static bool | HasSet (const ContentInfo *ci, bool md5sum)
| Check whether we have an set with the exact characteristics as ci.
Static Public Attributes inherited from BaseMedia< GraphicsSet >
static const char * | ini_set
| The set as saved in the config file.
Protected Member Functions inherited from BaseMedia< GraphicsSet >
bool | AddFile (const char *filename, size_t basepath_length, const char *tar_filename)
Static Protected Member Functions inherited from BaseMedia< GraphicsSet >
static const char * | GetExtension ()
| Get the extension that is used to identify this set.
Static Protected Attributes inherited from BaseMedia< GraphicsSet >
static GraphicsSet * | available_sets
| All available sets.
static GraphicsSet * | duplicate_sets
| All sets that aren't available, but needed for not downloading base sets when a newer version than the one on BaNaNaS is loaded.
static const GraphicsSet * | used_set
| The currently used set.

## Detailed Description

All data/functions related with replacing the base graphics.

Definition at line 260 of file base_media_base.h.

The documentation for this class was generated from the following file:

- src/base_media_base.h